
  <!-- Fade Header with collapse header -->
  <ion-header collapse="fade" [translucent]="true">
    <ion-toolbar>
      <ion-buttons class="back-button">
        <ion-back-button slot="start" defaultHref="/admin-root"></ion-back-button>
      </ion-buttons>
    </ion-toolbar>
    <ion-toolbar>
      <ion-title size="large">Systemeinstellungen</ion-title>
    </ion-toolbar>
  </ion-header>

  <ion-content class="main-bg-container">
    <ion-grid>
      <ion-row>
        <ion-col>
          <ion-card>
            <ion-card-header>
              <ion-card-subtitle>Verwaltung Fährzeiten</ion-card-subtitle>
              <ion-card-title>Fährzeiten</ion-card-title>
            </ion-card-header>
          
            <ion-card-content>
              <ion-accordion-group>
                <ion-accordion value="first">
                  <ion-item slot="header" color="light">
                    <ion-label>Saisonbeginn</ion-label>
                  </ion-item>
                  <div class="ion-padding" slot="content">
                    <ion-datetime [(ngModel)]="seasonStartDate" presentation="date">Saisonbeginn</ion-datetime>
                  </div>
                </ion-accordion>
                <ion-accordion value="second">
                  <ion-item slot="header" color="light">
                    <ion-label>Saisonende</ion-label>
                  </ion-item>
                  <div class="ion-padding" slot="content">
                    <ion-datetime [(ngModel)]="seasonEndDate" presentation="date">Saisonende</ion-datetime>
                  </div>
                </ion-accordion>
                <ion-accordion value="third">
                  <ion-item slot="header" color="light">
                    <ion-label>Fährzeiten</ion-label>
                  </ion-item>
                  <div class="ion-padding" slot="content">
                    <ion-label>Fährzeit Beginn: </ion-label>
                    <ion-datetime [(ngModel)]="operatingStartTime" presentation="time">Fährzeit Beginn</ion-datetime>
                    <!-- <ion-item>
                      <ion-icon name="time-outline"></ion-icon>
                      <ion-label>Fährzeit Beginn: </ion-label>
                      <ion-input name="starthour" type="number" value="10" min="0" max="23"></ion-input><ion-input name="startminute" type="number" value="00" min="0" max="59"></ion-input>
                    </ion-item> -->
                  </div>
                  <div class="ion-padding" slot="content">
                    <ion-label>Fährzeit Ende: </ion-label>
                    <ion-datetime [(ngModel)]="operatingEndTime" presentation="time">Fährzeit Ende</ion-datetime>
                    <!-- <ion-item>
                      <ion-icon name="time-outline"></ion-icon>
                      <ion-label>Fährzeit Ende: </ion-label>
                      <ion-input name="endhour" type="number" value="17" min="0" max="23"></ion-input><ion-input name="endminute" type="number" value="45" min="0" max="59"></ion-input>
                    </ion-item> -->
                  </div>
                </ion-accordion>
                <ion-accordion value="fourth">
                  <ion-item slot="header" color="light">
                    <ion-label>Fährtermine der Saison erzeugen</ion-label>
                  </ion-item>
                  <div class="ion-padding" slot="content">
                    <ion-button slot="start" (click)="createOperatingDays()">Termine erzeugen</ion-button>
                    <!-- <ion-label>xxx Termine erzeugt</ion-label> -->
                  </div>
                </ion-accordion>
                <ion-button expand="block" (click)="setOptionData()">Absenden</ion-button>
              </ion-accordion-group>
            </ion-card-content>
          </ion-card>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col>
          <ion-card>
            <ion-card-header>
              <ion-card-subtitle>Verwaltung Benutzer</ion-card-subtitle>
              <ion-card-title>Benutzer</ion-card-title>
            </ion-card-header>
          
            <ion-card-content>
              <ion-accordion-group>
              <ion-accordion value="fifth">
                <ion-item slot="header" color="light">
                  <ion-label>Benutzerverwaltung</ion-label>
                  <ion-button (click)="addUser()">
                    <ion-icon name="person-add-outline"></ion-icon>
                  </ion-button>
                </ion-item>
                <div class="ion-padding" slot="content">
                  <ion-list>
                    <ion-list-header> Aktive Benutzer </ion-list-header>
          
                    <ion-item *ngFor="let account of accounts">
                      <ion-avatar slot="start">
                        <img src="/assets/icons/32.png" />
                      </ion-avatar>
                      <ion-label>
                        {{account.lastName}}, {{account.firstName}}
                        <!-- <h2 [textContent]="obj[0].lastName"></h2>, <h2 [textContent]="obj[0].firstName"></h2>
                        <h3 [textContent]="obj[0].role"></h3>
                        <p [textContent]="obj[0].email"></p> -->
                      </ion-label>
                      <div>
                        <ion-button slot="icon-only" (click)="navigateUser(account.id)">
                          <ion-icon name="build-outline"></ion-icon>
                        </ion-button>
                      </div>
                    </ion-item>
                  </ion-list>
                </div>
              </ion-accordion>
            </ion-accordion-group>
            </ion-card-content>
          </ion-card>
        </ion-col>
      </ion-row>
    </ion-grid>
    
  </ion-content>
